<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: LCDLIB Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">LCDLIB Exported Functions<div class="ingroups"><a class="el" href="../../dc/df9/group___n_a_n_o1_x2___library.html">NANO102/112 Library</a> &raquo; <a class="el" href="../../dc/d2c/group___n_a_n_o1_x2___l_c_d_l_i_b___driver.html">LCD Library</a> &raquo; <a class="el" href="../../d4/d9e/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">LCDLIB Exported Structs</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for LCDLIB Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad0_2d1c_2group______n__a__n__o1__x2______l__c__d__l__i__b______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gab4eec8bf4978835b793764276f53f0a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4eec8bf4978835b793764276f53f0a5">LCDLIB_Printf</a> (uint32_t u32Zone, char *string)</td></tr>
<tr class="memdesc:gab4eec8bf4978835b793764276f53f0a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display text on LCD.  <a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4eec8bf4978835b793764276f53f0a5">More...</a><br /></td></tr>
<tr class="separator:gab4eec8bf4978835b793764276f53f0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8ede697562cea379a6eb00a0157a28f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8ede697562cea379a6eb00a0157a28f">LCDLIB_PutChar</a> (uint32_t u32Zone, uint32_t u32Index, uint8_t u8Ch)</td></tr>
<tr class="memdesc:gaf8ede697562cea379a6eb00a0157a28f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display character on LCD.  <a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8ede697562cea379a6eb00a0157a28f">More...</a><br /></td></tr>
<tr class="separator:gaf8ede697562cea379a6eb00a0157a28f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabcca43be459440650558de1c0e556fb3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabcca43be459440650558de1c0e556fb3">LCDLIB_SetSymbol</a> (uint32_t u32Zone, uint32_t u32Index, uint32_t u32OnOff)</td></tr>
<tr class="memdesc:gabcca43be459440650558de1c0e556fb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display symbol on LCD.  <a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabcca43be459440650558de1c0e556fb3">More...</a><br /></td></tr>
<tr class="separator:gabcca43be459440650558de1c0e556fb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">LCDLIB_PrintNumber</a> (uint32_t u32Zone, long long <a class="el" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)</td></tr>
<tr class="memdesc:gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display number on LCD.  <a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">More...</a><br /></td></tr>
<tr class="separator:gaa8ed043f2d8f9604ddf2aa7c2b665f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gaa75776f9baed491b8c270d419a3f6977"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75776f9baed491b8c270d419a3f6977">ZoneInfo_TypeDef::Sub_Zone_Num</a></td></tr>
<tr class="memdesc:gaa75776f9baed491b8c270d419a3f6977"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sub zone number.  <a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75776f9baed491b8c270d419a3f6977">More...</a><br /></td></tr>
<tr class="separator:gaa75776f9baed491b8c270d419a3f6977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3cf84831379351ebe54dbe1ab63db86d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3cf84831379351ebe54dbe1ab63db86d">ZoneInfo_TypeDef::Zone_Digit_SegNum</a></td></tr>
<tr class="memdesc:ga3cf84831379351ebe54dbe1ab63db86d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Segment number.  <a href="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3cf84831379351ebe54dbe1ab63db86d">More...</a><br /></td></tr>
<tr class="separator:ga3cf84831379351ebe54dbe1ab63db86d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a id="gab4eec8bf4978835b793764276f53f0a5" name="gab4eec8bf4978835b793764276f53f0a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab4eec8bf4978835b793764276f53f0a5">&#9670;&nbsp;</a></span>LCDLIB_Printf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCDLIB_Printf </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>string</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display text on LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Zone</td><td>the assigned number of display area </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">string</td><td>Text string to show on display</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00064">64</a> of file <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html">LCDLIB.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gab4eec8bf4978835b793764276f53f0a5_cgraph.png" border="0" usemap="#ad0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gab4eec8bf4978835b793764276f53f0a5_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gaa8ed043f2d8f9604ddf2aa7c2b665f1e" name="gaa8ed043f2d8f9604ddf2aa7c2b665f1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa8ed043f2d8f9604ddf2aa7c2b665f1e">&#9670;&nbsp;</a></span>LCDLIB_PrintNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCDLIB_PrintNumber </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display number on LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Zone</td><td>the assigned number of display area </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>number to show on display</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00122">122</a> of file <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html">LCDLIB.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa8ed043f2d8f9604ddf2aa7c2b665f1e_cgraph.png" border="0" usemap="#ad0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa8ed043f2d8f9604ddf2aa7c2b665f1e_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gaf8ede697562cea379a6eb00a0157a28f" name="gaf8ede697562cea379a6eb00a0157a28f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf8ede697562cea379a6eb00a0157a28f">&#9670;&nbsp;</a></span>LCDLIB_PutChar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCDLIB_PutChar </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Ch</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display character on LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Zone</td><td>the assigned number of display area </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Index</td><td>the requested display position in zone </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Ch</td><td>Character to show on display</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00193">193</a> of file <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html">LCDLIB.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaf8ede697562cea379a6eb00a0157a28f_cgraph.png" border="0" usemap="#ad0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaf8ede697562cea379a6eb00a0157a28f_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="gabcca43be459440650558de1c0e556fb3" name="gabcca43be459440650558de1c0e556fb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabcca43be459440650558de1c0e556fb3">&#9670;&nbsp;</a></span>LCDLIB_SetSymbol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCDLIB_SetSymbol </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32OnOff</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display symbol on LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Zone</td><td>the assigned number of display area </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Index</td><td>the requested display position in zone </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32OnOff</td><td>1: display symbol 0: not display symbol</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html#l00242">242</a> of file <a class="el" href="../../d9/d6b/_l_c_d_l_i_b_8c_source.html">LCDLIB.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gabcca43be459440650558de1c0e556fb3_cgraph.png" border="0" usemap="#ad0/d1c/group___n_a_n_o1_x2___l_c_d_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gabcca43be459440650558de1c0e556fb3_cgraph" alt=""/></div>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="gaa75776f9baed491b8c270d419a3f6977" name="gaa75776f9baed491b8c270d419a3f6977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa75776f9baed491b8c270d419a3f6977">&#9670;&nbsp;</a></span>Sub_Zone_Num</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t ZoneInfo_TypeDef::Sub_Zone_Num</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sub zone number. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_l_c_d_l_i_b_8h_source.html#l00035">35</a> of file <a class="el" href="../../de/d1b/_l_c_d_l_i_b_8h_source.html">LCDLIB.h</a>.</p>

</div>
</div>
<a id="ga3cf84831379351ebe54dbe1ab63db86d" name="ga3cf84831379351ebe54dbe1ab63db86d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3cf84831379351ebe54dbe1ab63db86d">&#9670;&nbsp;</a></span>Zone_Digit_SegNum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t ZoneInfo_TypeDef::Zone_Digit_SegNum</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Segment number. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1b/_l_c_d_l_i_b_8h_source.html#l00036">36</a> of file <a class="el" href="../../de/d1b/_l_c_d_l_i_b_8h_source.html">LCDLIB.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
